AC_INIT(bosh.c)
AM_INIT_AUTOMAKE(bosh,0.6)
AC_PROG_CC
AC_PROG_INSTALL
CFLAGS="-Wall"
AC_SUBST(CFLAGS)
AC_ARG_ENABLE(debug,[  --enable-debug      -DDEBUG -g],enable_debug=yes)
AC_ARG_ENABLE(debug,[  --enable-log        -DLOG],enable_log=yes)
test "$enable_debug" = "yes" && CFLAGS="$CFLAGS -DDEBUG -g"
test "$enable_log"   = "yes" && CFLAGS="$CFLAGS -DLOG"
ERR="Required package missing!"
AC_CHECK_HEADER(ncurses.h,:,AC_MSG_ERROR([$ERR]))
AC_CHECK_LIB(ncurses,initscr)
AC_OUTPUT(Makefile)
